Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
RlcMacDownlink_t Struct Reference

## Public Attributes
union {
guint8 MESSAGE_TYPE
DL_Data_Block_GPRS_t DL_Data_Block_GPRS
DL_Data_Block_EGPRS_Header_t DL_Data_Block_EGPRS_Header
Packet_Access_Reject_t Packet_Access_Reject
Packet_Cell_Change_Order_t Packet_Cell_Change_Order
Packet_Cell_Change_Continue_t Packet_Cell_Change_Continue
Packet_Downlink_Assignment_t Packet_Downlink_Assignment
Packet_Measurement_Order_t Packet_Measurement_Order
Packet_Neighbour_Cell_Data_t Packet_Neighbour_Cell_Data
Packet_Serving_Cell_Data_t Packet_Serving_Cell_Data
Packet_Paging_Request_t Packet_Paging_Request
Packet_PDCH_Release_t Packet_PDCH_Release
Packet_Polling_Request_t Packet_Polling_Request
Packet_Power_Control_Timing_Advance_t Packet_Power_Control_Timing_Advance
Packet_PRACH_Parameters_t Packet_PRACH_Parameters
Packet_Queueing_Notification_t Packet_Queueing_Notification
Packet_Timeslot_Reconfigure_t Packet_Timeslot_Reconfigure
Packet_TBF_Release_t Packet_TBF_Release
Packet_Uplink_Ack_Nack_t Packet_Uplink_Ack_Nack
Packet_Uplink_Assignment_t Packet_Uplink_Assignment
Packet_Handover_Command_t Packet_Handover_Command
Packet_PhysicalInformation_t Packet_PhysicalInformation
Packet_Downlink_Dummy_Control_Block_t Packet_Downlink_Dummy_Control_Block
PSI1_t PSI1
PSI2_t PSI2
PSI3_t PSI3
PSI5_t PSI5
PSI13_t PSI13
EC_Packet_Access_Reject_t EC_Packet_Access_Reject
EC_Packet_Downlink_Assignment_t EC_Packet_Downlink_Assignment
EC_Packet_Polling_Req_t EC_Packet_Polling_Req
EC_Packet_Power_Control_Timing_Advance_t EC_Packet_Power_Control_Timing_Advance
EC_Packet_Tbf_Release_t EC_Packet_Tbf_Release
EC_Packet_Uplink_Ack_Nack_t EC_Packet_Uplink_Ack_Nack
EC_Packet_Uplink_Assignment_t EC_Packet_Uplink_Assignment
EC_Packet_Uplink_Ack_Nack_And_Contention_Resolution_t EC_Packet_Uplink_Ack_Nack_And_Contention_Resolution
EC_Packet_Downlink_Dummy_Control_Block_t EC_Packet_Downlink_Dummy_Control_Block
} | u
RLCMAC_block_format_t | block_format
guint | flags

The documentation for this struct was generated from the following file:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/epan/dissectors/packet-gsm_rlcmac.h